> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Share Template

> Create a new share template in a workspace.



## OpenAPI

````yaml /api-reference/openapi.json post /share-templates
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /share-templates:
    post:
      tags:
        - Share Templates
      summary: Create Share Template
      description: Create a new share template in a workspace.
      operationId: create_share_template
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShareTemplateCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareTemplateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ShareTemplateCreateRequest:
      properties:
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
          description: Workspace to create the share template in
        name:
          type: string
          title: Name
          description: Display name for the share template
        actions:
          type: integer
          title: Actions
          description: Bitmap of allowed actions (VIEW=1, EDIT=2)
      type: object
      required:
        - workspace_id
        - name
        - actions
      title: ShareTemplateCreateRequest
      description: API request schema for creating a share template
    ShareTemplateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Share template ID
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
          description: Workspace ID
        name:
          type: string
          title: Name
          description: Display name
        actions:
          type: integer
          title: Actions
          description: Allowed actions bitmap
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
        updated:
          type: string
          format: date-time
          title: Updated
          description: Last update timestamp
      type: object
      required:
        - id
        - workspace_id
        - name
        - actions
        - created
        - updated
      title: ShareTemplateResponse
      description: API response schema for a share template
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.